Debian Bug report logs - #508943
[rsyslog] /var/lib/dpkg/info/rsyslog.postinst: 76: arith: syntax error: "s+1"

version graph

Package: rsyslog; Maintainer for rsyslog is Michael Biebl <biebl@debian.org>; Source for rsyslog is src:rsyslog.

Reported by: CSights <csights@fastmail.fm>

Date: Tue, 16 Dec 2008 20:54:01 UTC

Severity: critical

Found in version rsyslog/3.18.5-1

Fixed in version rsyslog/3.18.6-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Biebl <biebl@debian.org>:
Bug#508943; Package rsyslog. (Tue, 16 Dec 2008 20:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to CSights <csights@fastmail.fm>:
New Bug report received and forwarded. Copy sent to Michael Biebl <biebl@debian.org>. (Tue, 16 Dec 2008 20:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: CSights <csights@fastmail.fm>
To: submit@bugs.debian.org
Subject: [rsyslog] /var/lib/dpkg/info/rsyslog.postinst: 76: arith: syntax error: "s+1"
Date: Tue, 16 Dec 2008 15:52:54 -0500
Package: rsyslog
Version: 3.18.5-1
Severity: critical

(critical b/c prevents installation)

Hi,
	I get this error when installing rsyslog:
> Setting up rsyslog (3.18.5-1) ...
> /var/lib/dpkg/info/rsyslog.postinst: 76: arith: syntax error: "s+1"
> dpkg: error processing rsyslog (--configure):
>  subprocess post-installation script returned error exit status 2
> Errors were encountered while processing:
>  rsyslog
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install.  Trying to recover:
> Setting up rsyslog (3.18.5-1) ...
> /var/lib/dpkg/info/rsyslog.postinst: 76: arith: syntax error: "s+1"
> dpkg: error processing rsyslog (--configure):
>  subprocess post-installation script returned error exit status 2

	I think this can be fixed by changing s+1 to $s+1 in
/var/lib/dpkg/info/rsyslog.postinst at line 76.
	I'm not sure if the postinst file belongs to 3.18.5-1 or a previous version 
of rsyslog.

Thanks!
	C.




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#508943; Package rsyslog. (Tue, 16 Dec 2008 21:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. (Tue, 16 Dec 2008 21:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 508943@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: CSights <csights@fastmail.fm>, 508943@bugs.debian.org
Subject: Re: Bug#508943: [rsyslog] /var/lib/dpkg/info/rsyslog.postinst: 76: arith: syntax error: "s+1"
Date: Tue, 16 Dec 2008 22:14:54 +0100
[Message part 1 (text/plain, inline)]
CSights wrote:
> Package: rsyslog
> Version: 3.18.5-1
> Severity: critical
> 
> (critical b/c prevents installation)
> 
> Hi,
> 	I get this error when installing rsyslog:
>> Setting up rsyslog (3.18.5-1) ...
>> /var/lib/dpkg/info/rsyslog.postinst: 76: arith: syntax error: "s+1"
>> dpkg: error processing rsyslog (--configure):
>>  subprocess post-installation script returned error exit status 2
>> Errors were encountered while processing:
>>  rsyslog
>> E: Sub-process /usr/bin/dpkg returned an error code (1)
>> A package failed to install.  Trying to recover:
>> Setting up rsyslog (3.18.5-1) ...
>> /var/lib/dpkg/info/rsyslog.postinst: 76: arith: syntax error: "s+1"
>> dpkg: error processing rsyslog (--configure):
>>  subprocess post-installation script returned error exit status 2


What shell do you use (/bin/sh)?

This works fine with bash and dash.
And afaik is posix shell compliant.


Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Biebl <biebl@debian.org>:
Bug#508943; Package rsyslog. (Tue, 16 Dec 2008 21:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to CSights <csights@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to Michael Biebl <biebl@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Tue, 16 Dec 2008 21:27:05 GMT) Full text and rfc822 format available.


Message #15 received at 508943@bugs.debian.org (full text, mbox):

From: CSights <csights@fastmail.fm>
To: 508943@bugs.debian.org
Date: Tue, 16 Dec 2008 16:26:18 -0500
Hi Michael,
	
> What shell do you use (/bin/sh)?

	That computer is using the "stable" version of dash.  So I guess older 
versions of dash give that error.  Does the script need to be compatible with 
the older dash?
	Otherwise the problem is that I'm mixing "stable" and "testing" packages.

# ls -al /bin/sh
lrwxrwxrwx 1 root root 4 2008-11-23 08:05 /bin/sh -> dash

# apt-cache policy dash
dash:
  Installed: 0.5.3-7
  Candidate: 0.5.3-7
  Version table:
     0.5.4-12 0
         50 http://ftp.egr.msu.edu testing/main Packages
 *** 0.5.3-7 0
        990 http://ftp.uwsg.indiana.edu stable/main Packages
        100 /var/lib/dpkg/status


Thanks!
	C.




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Wed, 17 Dec 2008 00:15:06 GMT) Full text and rfc822 format available.

Notification sent to CSights <csights@fastmail.fm>:
Bug acknowledged by developer. (Wed, 17 Dec 2008 00:15:06 GMT) Full text and rfc822 format available.

Message #20 received at 508943-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 508943-close@bugs.debian.org
Subject: Bug#508943: fixed in rsyslog 3.18.6-2
Date: Tue, 16 Dec 2008 23:47:13 +0000
Source: rsyslog
Source-Version: 3.18.6-2

We believe that the bug you reported is fixed in the latest version of
rsyslog, which is due to be installed in the Debian FTP archive:

rsyslog-doc_3.18.6-2_all.deb
  to pool/main/r/rsyslog/rsyslog-doc_3.18.6-2_all.deb
rsyslog-mysql_3.18.6-2_i386.deb
  to pool/main/r/rsyslog/rsyslog-mysql_3.18.6-2_i386.deb
rsyslog-pgsql_3.18.6-2_i386.deb
  to pool/main/r/rsyslog/rsyslog-pgsql_3.18.6-2_i386.deb
rsyslog_3.18.6-2.diff.gz
  to pool/main/r/rsyslog/rsyslog_3.18.6-2.diff.gz
rsyslog_3.18.6-2.dsc
  to pool/main/r/rsyslog/rsyslog_3.18.6-2.dsc
rsyslog_3.18.6-2_i386.deb
  to pool/main/r/rsyslog/rsyslog_3.18.6-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 508943@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated rsyslog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 17 Dec 2008 00:29:43 +0100
Source: rsyslog
Binary: rsyslog rsyslog-doc rsyslog-mysql rsyslog-pgsql
Architecture: source all i386
Version: 3.18.6-2
Distribution: unstable
Urgency: low
Maintainer: Michael Biebl <biebl@debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 rsyslog    - enhanced multi-threaded syslogd
 rsyslog-doc - documentation for rsyslog
 rsyslog-mysql - MySQL output plugin for rsyslog
 rsyslog-pgsql - PostgreSQL output plugin for rsyslog
Closes: 508943
Changes: 
 rsyslog (3.18.6-2) unstable; urgency=low
 .
   * debian/rsyslog.postinst
     - Use $(($var)) syntax for arithmetic expressions, as dash from etch is
       not SUSv3 compliant in that regard which leads to failing dist upgrades
       when dash is used as /bin/sh. Closes: #508943
Checksums-Sha1: 
 3426b6398ab27c81593063c0a740e40aa433d2e9 1227 rsyslog_3.18.6-2.dsc
 5be82179c489ce006ad09db3f0895ca95628e991 18096 rsyslog_3.18.6-2.diff.gz
 ae18e5706cf356b1463e8531d4085c5a7aa663c2 229144 rsyslog-doc_3.18.6-2_all.deb
 f84b215e3782149d49d6820b67789e1f442a2644 166446 rsyslog_3.18.6-2_i386.deb
 00c31e138e11c2b2a9d57784c5e5850af0464c27 11794 rsyslog-mysql_3.18.6-2_i386.deb
 983555bd71c57dc8b94f9ed14f44d57603b89098 11558 rsyslog-pgsql_3.18.6-2_i386.deb
Checksums-Sha256: 
 cfed399747b116b35c615456870bb754cad74b7e408f633ec3f53cc43878d488 1227 rsyslog_3.18.6-2.dsc
 51defbcb5f80d45ac5dbe39ba3c7a4c49ee84955defe3ff3c2b5671276144290 18096 rsyslog_3.18.6-2.diff.gz
 8c0a9aa745a9bc945b74f7c6d88717526fc55a8753a54a2e6f24af25aaa1aa2b 229144 rsyslog-doc_3.18.6-2_all.deb
 ab5bb2cf7a8e21c44c3b6c7e5c00af94cfcd998d715b2983b3e93bda2c7bee7d 166446 rsyslog_3.18.6-2_i386.deb
 5e970b1824b2ad7d1373a280c4d6c97de888a04f94a0e5b9722219cc4572fdb8 11794 rsyslog-mysql_3.18.6-2_i386.deb
 9b2f75f7282692f236c4ed19b813f4cc440f2f2474dd6e004ee112de274dda55 11558 rsyslog-pgsql_3.18.6-2_i386.deb
Files: 
 eae7ca3f533b3abbe508790d2c5d62cc 1227 admin important rsyslog_3.18.6-2.dsc
 b2164601a520662e9c5b2078b8f70032 18096 admin important rsyslog_3.18.6-2.diff.gz
 e18aaa949c35b742e14ac7d6a0b6d875 229144 doc extra rsyslog-doc_3.18.6-2_all.deb
 96470ed3b73311637d94ed540aa3a82c 166446 admin important rsyslog_3.18.6-2_i386.deb
 c0c9f4cfb5a53b36e9da5296f7a0f67b 11794 admin extra rsyslog-mysql_3.18.6-2_i386.deb
 390d2904b74d15828feb36a271e7b9d9 11558 admin extra rsyslog-pgsql_3.18.6-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklIO0IACgkQh7PER70FhVTZXACgqU1bgBcIJ8C+9Su5b2L5UEAA
tIUAnimOl8zKBklihwrbKcGAVj0pzoJT
=4/8G
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Jan 2009 07:28:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:00:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.